import greenfoot.*;

/**
 * Write a description of class Kitchen here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Kitchen extends World
{
    private int score;
    
    /**
     * Constructor for objects of class Kitchen.
     * 
     */
    public Kitchen()
    {    
        super(800, 600, 1); 
        prepare();
        score = 0;
        showScore();
    }
    
    /**
     * Add some points to our current score. We want to eat 10 cheeses.
     */
    public void addScore(int points)
    {
        score = score + points;
        showScore();
    }
    
    /**
     * Show our current score on screen.
     */
    private void showScore()
    {
        showText("Score: " + score, 720, 575);
    }
    
    /**
     * Show the winning message on screen.
     */
    public void showWinMessage()
    {
        showText("You ate all the cheese, you win!", 400, 300);
    }

       /**
     * Show the losing message on screen.
     */
    public void showLoseMessage()
    {
        showText("The cats caught you, you lose.", 400, 300);
        showText("You ate " + score + " cheeses.", 400, 320);
    }
    
    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Cheese cheese = new Cheese();
        addObject(cheese, 675, 503);
        Cheese cheese2 = new Cheese();
        addObject(cheese2, 302, 503);
        Cheese cheese3 = new Cheese();
        addObject(cheese3, 146, 337);
        Cheese cheese4 = new Cheese();
        addObject(cheese4, 485, 425);
        Cheese cheese5 = new Cheese();
        addObject(cheese5, 693, 321);
        Cheese cheese6 = new Cheese();
        addObject(cheese6, 432, 255);
        Cheese cheese7 = new Cheese();
        addObject(cheese7, 647, 111);
        Cheese cheese8 = new Cheese();
        addObject(cheese8, 354, 88);
        Cheese cheese9 = new Cheese();
        addObject(cheese9, 90, 125);
        Cheese cheese10 = new Cheese();
        addObject(cheese10, 118, 504);
        cheese3.setLocation(217, 310);
        cheese4.setLocation(496, 434);
        cheese6.setLocation(435, 254);
        cheese2.setLocation(314, 487);
        cheese3.setLocation(188, 310);
        Cat cat = new Cat();
        addObject(cat, 693, 202);
        Cat cat2 = new Cat();
        addObject(cat2, 489, 85);
        Cat cat3 = new Cat();
        addObject(cat3, 170, 208);
        cheese8.setLocation(353, 172);
        cat2.setLocation(438, 78);
        cheese9.setLocation(157, 83);
        cheese8.setLocation(338, 139);
        cheese9.setLocation(140, 80);
        cheese8.setLocation(323, 127);
        cat3.setLocation(120, 218);
        cheese6.setLocation(418, 255);
        cheese2.setLocation(306, 447);
        Mouse mouse = new Mouse();
        addObject(mouse, 408, 538);
    }
}
