import greenfoot.*;

/**
 * Write a description of class Cat here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Cat extends Actor
{
    /**
     * Do whatever cats do.
     */
    public void act()
    {
        turnAtEdge();
        randomTurn();
        move(-3);
        lookForMouse();
    }

    /**
     * Check whether we are at the edge of the world. If we are, turn a bit.
     * If not, do nothing.
     */
    public void turnAtEdge()
    {
        if ( isAtEdge() ) 
        {
            turn(17);
        }
    }

    /**
     * Randomly decide to turn from the current direction, or not. If we turn
     * turn a bit left or right by a random degree.
     */
    public void randomTurn()
    {
        if (Greenfoot.getRandomNumber(100) > 92) 
        {
            turn(Greenfoot.getRandomNumber(90)-45);
        }
    }
  
    /**
     * Try to eat a mouse. That is: check whether we have stumbled upon a mouse.
     * If we have, remove the mouse from the game, and stop the program running.
     */
    public void lookForMouse()
    {
        if ( isTouching(Mouse.class) ) 
        {
            Greenfoot.stop();
            Kitchen kitchen = (Kitchen)getWorld();
            kitchen.showLoseMessage();
        }
    }
}
